ConstantInteger (Apache Commons BCEL 6.6.1 API)

org.apache.bcel.classfile

## Class ConstantInteger

- java.lang.Object
- - org.apache.bcel.classfile.Constant
  - - org.apache.bcel.classfile.ConstantInteger

- All Implemented Interfaces:
    Cloneable, ConstantObject, Node

      public final class ConstantInteger
      extends Constant
      implements ConstantObject

  This class is derived from the abstract `Constant` and represents a reference to an int object.
  See Also:
    `Constant`

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Constant

      `tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantInteger(ConstantInteger c)` Initialize from another object.
    `ConstantInteger(int bytes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.
    `void` | `dump(DataOutputStream file)` Dump constant integer to file stream in binary format.
    `int` | `getBytes()`
    `Object` | `getConstantValue(ConstantPool cp)`
    `void` | `setBytes(int bytes)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.bcel.classfile.Constant

      `clone, copy, equals, getComparator, getTag, hashCode, readConstant, setComparator`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantInteger

          public ConstantInteger(ConstantInteger c)

      Initialize from another object.

    - #### ConstantInteger

          public ConstantInteger(int bytes)

      Parameters:
        `bytes` - Data

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Constant`
      Parameters:
        `v` - Visitor object

    - #### dump

          public void dump(DataOutputStream file)
                    throws IOException

      Dump constant integer to file stream in binary format.
      Specified by:
        `dump` in class `Constant`
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException` - if an I/O error occurs.

    - #### getBytes

          public int getBytes()

      Returns:
        data, i.e., 4 bytes.

    - #### getConstantValue

          public Object getConstantValue(ConstantPool cp)

      Specified by:
        `getConstantValue` in interface `ConstantObject`
      Returns:
        Integer object

    - #### setBytes

          public void setBytes(int bytes)

      Parameters:
        `bytes` - the raw bytes that represent this integer

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Constant`
      Returns:
        String representation.

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.